package com.phm.manage.service.impl;

import com.phm.manage.domain.AnalyzeResult;
import com.phm.manage.mapper.AnalyzeResultMapper;
import com.phm.manage.service.IAnalyzeResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 数据解析结果Service业务层处理
 *
 * @author phm
 * @date 2023-08-22
 */
@Service
public class AnalyzeResultServiceImpl implements IAnalyzeResultService {
    @Autowired
    private AnalyzeResultMapper analyzeResultMapper;

    /**
     * 查询数据解析结果
     *
     * @param id 数据解析结果主键
     * @return 数据解析结果
     */
    @Override
    public AnalyzeResult selectAnalyzeResultById(Long id) {
        return analyzeResultMapper.selectAnalyzeResultById(id);
    }

    /**
     * 查询数据解析结果列表
     *
     * @param analyzeResult 数据解析结果
     * @return 数据解析结果
     */
    @Override
    public List<AnalyzeResult> selectAnalyzeResultList(AnalyzeResult analyzeResult) {
        return analyzeResultMapper.selectAnalyzeResultList(analyzeResult);
    }

    /**
     * 新增数据解析结果
     *
     * @param analyzeResult 数据解析结果
     * @return 结果
     */
    @Override
    public int insertAnalyzeResult(AnalyzeResult analyzeResult) {
        return analyzeResultMapper.insertAnalyzeResult(analyzeResult);
    }

    /**
     * 修改数据解析结果
     *
     * @param analyzeResult 数据解析结果
     * @return 结果
     */
    @Override
    public int updateAnalyzeResult(AnalyzeResult analyzeResult) {
        return analyzeResultMapper.updateAnalyzeResult(analyzeResult);
    }

    /**
     * 批量删除数据解析结果
     *
     * @param ids 需要删除的数据解析结果主键
     * @return 结果
     */
    @Override
    public int deleteAnalyzeResultByIds(Long[] ids) {
        return analyzeResultMapper.deleteAnalyzeResultByIds(ids);
    }

    /**
     * 删除数据解析结果信息
     *
     * @param id 数据解析结果主键
     * @return 结果
     */
    @Override
    public int deleteAnalyzeResultById(Long id) {
        return analyzeResultMapper.deleteAnalyzeResultById(id);
    }
}
